Skip to navigation

Update Engagement

Update an engagement record.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

employeeUuidstringRequired

User id of the employee (not a UUID)

engagementUuidstringRequiredformat: "uuid"
UUID of the engagement to update

Headers

vnd.a1.tenant-idstringOptional

Tenant identifier for multi-tenant environments

Request

This endpoint expects an object.
payTypeenumOptional

Pay type for the engagement. Changing it to SUBCONTRACTOR clears engagementType.

Allowed values:
engagementTypeenumOptional

Type of engagement (not applicable for SUBCONTRACTOR)

Allowed values:
startDatedateOptional

Engagement start date — must not be later than any job’s start date

payrollCompanyIdstringOptionalformat: "uuid"
UUID of the payroll company. Must be an existing company.
payCycleIdstringOptionalformat: "uuid"
UUID of the pay cycle. It is not checked, so send an existing pay cycle.
permissionGroupstringOptional
Permission group

Response

Engagement updated successfully
idstringOptionalformat: "uuid"
UUID of the engagement
userUuidstringOptional
eventJobIdstringOptional

Errors

400
Bad Request Error
404
Not Found Error